/**
 * Beregner lnn for en tabell av ulike typer ansatte.
 */
class AnsattTabell {
  static AnsattV0[] ansattTab = { // (1)
  new AnsattV0("Ole", "Brumm", 325.0),
      new TimebetaltArbeiderV0("Kari", "B", 325.0),
      new AkkordArbeiderV0("Lasse", "Liten", 45.50, 126),
      new ArbeidsLederV0("Ottar", "Boss", 400.0, 500.0), };

  static double[] ansattTimer = { 37.5, 25.0, 30.0, 45.0 }; // (2)

  public static void main(String[] args) {
    // Gr gjennom alle ansatte og skriver utvalgte egenskaper
    for (int i = 0; i < ansattTab.length; i++) {
      System.out.printf("Ansatt nr. %d: %s %s har en ukelnn p %.2f kroner%n",
          i + 1, ansattTab[i].fornavn, // (3)
          ansattTab[i].etternavn, // (4)
          ansattTab[i].beregnUkelnn(ansattTimer[i])); // (5)
    }
  }
}