
public class Utsalg {
  public static void main(String[] args) {
    VareMedEnhetspris[] vareLager = {
        new VareMedEnhetspris("Coca cola 0.5l", 150, 20.0),
        new VareMedFastRabatt("Pepsi 0.5l", 100, 20, 0.50),
        new VareMedEnhetspris("Solo 0.5l", 50, 20.0),
        new VareMedFastRabatt("Farris 0.5l", 50, 20, 1.50),
        new VareMedProsentRabatt("Coca cola 0.33l", 500, 12, 10, 0.5, 10.0) };
    int[] bestilling = { 50, 50, 10, 20, 250 };
    double sum = 0;
    double rabatt = 0;
    double varepris, varerabatt;
    for (int i = 0; i < vareLager.length; i++) {
      varepris = vareLager[i].hentEnhetspris();
      varerabatt = 0;
      if (vareLager[i] instanceof VareMedRabatt) {
        VareMedRabatt vare = (VareMedRabatt) vareLager[i];
        varerabatt = vare.finnRabatt(varepris, bestilling[i]);
        varepris -= varerabatt;
        varerabatt *= bestilling[i]; // for hele ordren
      }
      varepris *= bestilling[i]; // for hele ordren
      System.out.println("Pris for " + bestilling[i] + " stk. av varen '"
          + vareLager[i].hentVarenavn() + "' er " + varepris + " kr.");
      sum += varepris;
      rabatt += varerabatt;
    }
    System.out.println("Total sum: " + sum + " kr.");
    System.out.println("Rabatt: " + rabatt + " kr er trukket fra.");
  }
}