
public class VareMedFastRabatt extends VareMedRabatt {
  private double rabatt; // fast rabatt i kroner

  VareMedFastRabatt(String varenavn, int beholdning, double pris, double rabatt) {
    super(varenavn, beholdning, pris); // kaller superklassens konstruktr
    this.rabatt = rabatt; // Anta > 0.0.
  }

  @Override
  public double finnRabatt(double prisUtenRabatt, int antallBestilt) {
    return rabatt;
  }

  @Override
  public String toString() { // overkjrer toString() fra
                             // VareMedEnhetspris-klassen
    return super.toString() + "\tRabatt: " + rabatt;
  }
}